## Encrypting secrets

Grab the key id from the state, or console and use `aws kms encrypt`

`aws kms encrypt --region us-west-2 --output text --query CiphertextBlob --profile twitch-content-dev --key-id <key id> --plaintext fileb://<(echo <secret>)`

(It tries to get from a URL, if you give it one. Hence the bash trickery w/ fileb:// - if your secret isn't a URL, you can just give it a string)

## Terraform 0.10+ Gotchas

Migration to new `backend` directives requires setting `AWS_PROFILE`, e.g. `AWS_PROFILE=twitch-content-dev terraform init` because it ignores provider directives, and profile keys. It'll use whichever AWS profile is default if none is provided. See https://github.com/hashicorp/terraform/issues/13589
